upgrade phpbb 1.12.6 to newest version

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4253
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: upgrade phpbb 1.12.6 to newest version

Post by thecoalman »

warmweer wrote:
Wed Nov 04, 2020 4:41 pm
AFAIR phpBB 2 needed a minimum op php 4 something. phpBB 1.22 might need a lower version (although I don't think so).
I don't believe it's phpBB1 but a fork of phpBB2. There is mention of it here:.

http://www.przemo.org/phpBB2/forum/viewforum.php?f=7
You can download from XAMPP's page on Sourceforge. I prefer the source. ;)

https://sourceforge.net/projects/xampp/ ... 20Windows/

After php version 5.6 or so the XAMPP version is same as php version, prior to that the XAMPP version does not reflect php version. I'd just pick one released around 2006ish.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
User avatar
warmweer
Jr. Extension Validator
Posts: 5837
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: upgrade phpbb 1.12.6 to newest version

Post by warmweer »

thecoalman wrote:
Wed Nov 04, 2020 4:47 pm
I don't believe it's phpBB1 but a fork of phpBB2. There is mention of it here:.

http://www.przemo.org/phpBB2/forum/viewforum.php?f=7
Nice find :thumbsup:
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I installed XAMPP with php 5.2 version. I imported a dump sql file into the xampp mysql database, but when I open a forum on xampp I don`t see valid Polish letters, i.e. ę, ą, ł etc.
When I open dump sql file in notepad++ I see that this file has UTF8 encoding.
Do I need to set encoding while importing dump sql file.
I used the following command to import sql dump file from Windows cmd:
mysql -h localhost -P 3308 -u root -p XXXXXXXXXXXXXXXX < "F:\kopia-bazy-2020-11-03-16-05.sql"

or maybe I should set another encoding in xampp mysql database?


Why exported database dump shows differently in clean database?
What am I doing wrong?
Where I should set valid encoding? In which step?

Can you help me?
Thank in advance you for your replies
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4253
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: upgrade phpbb 1.12.6 to newest version

Post by thecoalman »

A quick Google search suggests in may be mysql setting on server.

https://stackoverflow.com/questions/222 ... mpp-server
marcinzmyslowski wrote:
Thu Nov 05, 2020 7:19 pm
I used the following command to import sql dump file from Windows cmd:
mysql -h localhost -P 3308 -u root -p XXXXXXXXXXXXXXXX < "F:\kopia-bazy-2020-11-03-16-05.sql"
I don't know how much difference it makes but there is command line available from XAMPP control panel.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I converted PHPBB 2 to PHPBB 3_0 via xampp server.

How can I convert PHPBB3_0 to the latest build of PHPBB which is probably 3.3?

Can you give me full instruction.
On Convert tab I still see PHPBB2 to PHOBB3 feature, but there is no PHPBB3 to PHPB3_3 feature?

What is wrong?
Why I don`t see PHPB3_3 conversion possibility?
I see Update tab, but I don`t know what is for, wihtout update/convert files:(?.

Regards
Marcin
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4253
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: upgrade phpbb 1.12.6 to newest version

Post by thecoalman »

If you successfully converted using phpBB 3.0 download that is archive package and would not contain anything to convert past 3.0. Once again the reason I suggested doing that first was if there was any issues you would be more likely to find solution to any problems.

I'd test thoroughly to make sure it's working as expected. Once satisfied download the latest version from downloads page and convert to latest.

https://www.phpbb.com/downloads/

One thing to note, latest phpBB version requires PHP 7.1.3+. For local server you can install different version of XAMPP. e.g I have installed 5.6 to folder named XAMPP56, 7.4 to XAMPP74 etc. You need to launch or create individual shortcut to xampp-control.exe for each version. Note that while you can install multiple version you can't run them simultaneously.

The server of course is going to require PHP 7.1.3+.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I did a few steps futher (uninstall Polish language package, turn on British language and set style based on instruction, did database cleaner based on phpb support tool kit),
but I have new problems now:

I did the following steps:
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

The problem I have is on 12th point (5th point) from the above instruction (Wait for the progress bar to reach 100% and for a message indicating that the update has completed). It reaches around 57%, but I get the error shown in 1. point below

1) While updating phpb 3.0.x to phpbb 3.3.2 (latest release) I get error:

General Error:</b><br><br> in file www.example.com/phpbb/db/driver/driver.php on line 1020<br><br>

How can I solve it?

I was searching over the internet and I found that there is no table like below in database (my prefix table is phpbb3_convert_test):

CREATE TABLE `phpbb3_convert_testconfig_text` (
`config_name` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
`config_value` mediumtext COLLATE utf8_bin NOT NULL,
PRIMARY KEY (`config_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin

I have added this table but without a data, but it didn`t solve the issue

How can I solve this issue?

Is it possible to update directly from phpb 3.0 to phpb 3.3.2 ? Or should I split it into the steps between versions?

2) I have noticed that there is no Polish language package for phpb 3.3.2 release. How will the phpbb forum behave when I will try to install Polish language package for unsupported phpb 3.3.2 forum? Will it be installed or it will be partially translated?

3) Where can I download phpb 3.3.1 version which has Polish language translation package support, because on phpbb.com/downloads I only see the latest release of phpbb?
User avatar
Scanialady
Registered User
Posts: 360
Joined: Thu Jan 17, 2013 7:09 pm
Location: Germany
Name: Annette
Contact:

Re: upgrade phpbb 1.12.6 to newest version

Post by Scanialady »

It seems to me there is a polish phpBB forum:

http://www.phpbb.pl/forum/
Webseite, Blog, Wiki Deutsche Übersetzungen - german language files
My 2 cents: Whether an extension is in the CDB says nothing about its quality. It is more important to read the support topics for it. Better to avoid authors who do not answer support questions themselves, who do not update their stuff, and who do not fix bugs for years.
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I solved the problem. My fault. I didn`t change database name file after import. So the update I did on the wrong database. When I changed config.inc.php file, everything worked fine.

:)
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I don`t know what it happened.

In Administrator Panel I see message:

Your phpBB installation has not been correctly updated. Please read the information below in order to fix this error.

A new feature release 3.3.2 is availabFle. Please read the release announcement to learn about what it has to offer, and how to upgrade.

Files version: 3.3.2
Database version: 3.1.0-a3

Latest version: 3.1.12

We noticed that the last update of your phpBB installation hasn’t been completed. Visit the database updater, ensure Update database only is selected and click on Submit. Don't forget to delete the "install"-directory after you have updated the database successfully.


My update from PHPBB 3.0 to PHPBB 3.3.2 was completed sucessfuly (progress bar reached 100%).
So why I get this error?
What version of database should I have after applied PHPBB 3.3.2?
When I click to the link embedded in annuncement: "We noticed that the last update of your phpBB installation hasn’t been completed. Visit the database updater, ensure Update database only is selected and click on Submit. Don't forget to delete the "install"-directory after you have updated the database successfully." it redirected to: https://www.example.com/install/app.php/update

Do I need to run the update again? :( Will it solve the problem?

Thank you in advance for your help
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4253
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: upgrade phpbb 1.12.6 to newest version

Post by thecoalman »

Moving this to support forum...

Not sure why you would completion bar. Personally I'd go back to square one and continue to test until I converted with no failures.

You may want to check error logs, open XAMPP control panel and click logs button next to Apache.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
marcinzmyslowski
Registered User
Posts: 14
Joined: Tue Nov 03, 2020 3:17 pm

Re: upgrade phpbb 1.12.6 to newest version

Post by marcinzmyslowski »

I have rerun the update and it done a few more updates which solved the problem.
Now I have database and files the latest ones.
Post Reply

Return to “[3.3.x] Support Forum”